<template>
  <router-view :key="$route.path" :auth="checkToken"></router-view>
</template>

<script>
import jwt from "jsonwebtoken";
import "materialize-css";

export default {
  name: "app",
  methods: {
    checkToken() {
      try {
        const token = this.$cookie.get("token");
        let decoded = jwt.verify(token, API_TOKEN);
        delete decoded.iat;
        delete decoded.exp;
        return {
          success: true,
          decoded,
          httpOption: {
            responseType: "json",
            headers: {
              Accept: "application/json",
              "x-forwarded-for": this.ip,
              "matcha-token": token,
            },
          },
        };
      } catch (err) {
        return { success: false, err };
      }
    },
  },
  computed: {
    ip() {
      this.$http
        .get("https://ipapi.co/json")
        .then((res) => {
          if (res.status !== 200) return null;
          return res.data.ip;
        })
        .catch((err) => console.log(err));
    },
  },
};
</script>

<style></style>
